/*
On line 1881  (or search for /+_+_+_ ) change
#while( Count < 10 ) to #while( Count < 100 )
And run.
I get "Parse Error: Cannot open input file" the first time I try to render the scene. The nextime I try to render it, it renders.

Occasionally I get:
Unknown internal error!
Render failed

Regards
Stephen

*/

#version 3.7;

background { colour rgb <0.000,0.000,0.000> }

// ****************************************************************************
// referenced scene items and forced visible scene items declaration begin
// ****************************************************************************

#declare Cork0 =
texture {
    pigment {
        granite
        colour_map {
            [0.000 rgbft <0.930,0.710,0.532,0.000,0.000>]
            [0.600 rgbft <0.980,0.810,0.600,0.000,0.000>]
            [0.600 rgbft <0.500,0.300,0.200,0.000,0.000>]
            [0.650 rgbft <0.500,0.300,0.200,0.000,0.000>]
            [0.650 rgbft <0.800,0.530,0.460,0.000,0.000>]
            [1.000 rgbft <0.850,0.750,0.350,0.000,0.000>]
        }

    }

    finish {
        ambient     rgb <0.100,0.100,0.100>
        brilliance  1.000
        crand       0.000
        diffuse     0.600
        metallic    0.000
        phong       0.000
        phong_size  40.000
        specular    0.100
        roughness   0.500
    }

    scale     <0.250,0.250,0.250>
}

#declare Camera0 =
camera {
    perspective
    location <0.000,15.000,-37.184>
    up y
    right 1.333*x
    angle 33.000
    sky <0.000,0.951,0.308>
    look_at < 0.000, 3.284, -1.054 >
}  // end Camera0

#declare GrassPatch0 =
union {
    box{ <-0.5000000, 0, -0.5000000><0.5000000, -0.000001, 0.5000000> }

    #macro BSPGrassPluginGrassFactoryMacro()
        #local Blade1DefaultTexture = texture {
            pigment {
                gradient y
                color_map {
                    [0.000 rgbft <0.918,1.000,0.835,0.000,0.000>]
                    [0.128 rgbft <0.000,1.000,0.000,0.000,0.000>]
                    [1.000 rgbft <0.000,0.824,0.000,0.000,0.000>]
                }
            }
        }
        #local Blade2DefaultTexture = texture {
            pigment {
                gradient y
                color_map {
                    [0.000 rgbft <0.918,1.000,0.835,0.000,0.000>]
                    [0.128 rgbft <0.522,0.769,0.059,0.000,0.000>]
                    [1.000 rgbft <0.882,0.941,0.459,0.000,0.000>]
                }
            }
        }
        #local BladeMeshes = array[10]{
            mesh2 {
                vertex_vectors {
                    34,
                    <0.025,0.005,-0.024>,
                    <0.000,0.000,0.000>,
                    <-0.025,0.005,-0.024>,
                    <0.022,0.116,0.001>,
                    <0.000,0.112,0.023>,
                    <-0.022,0.116,0.001>,
                    <0.020,0.223,0.026>,
                    <0.000,0.219,0.045>,
                    <-0.020,0.223,0.026>,
                    <0.018,0.326,0.051>,
                    <0.000,0.322,0.068>,
                    <-0.018,0.326,0.051>,
                    <0.016,0.425,0.076>,
                    <0.000,0.421,0.091>,
                    <-0.016,0.425,0.076>,
                    <0.013,0.520,0.101>,
                    <0.000,0.517,0.114>,
                    <-0.013,0.520,0.101>,
                    <0.011,0.610,0.125>,
                    <0.000,0.607,0.136>,
                    <-0.011,0.610,0.125>,
                    <0.009,0.697,0.150>,
                    <0.000,0.694,0.159>,
                    <-0.009,0.697,0.150>,
                    <0.007,0.779,0.175>,
                    <0.000,0.777,0.182>,
                    <-0.007,0.779,0.175>,
                    <0.004,0.857,0.200>,
                    <0.000,0.855,0.205>,
                    <-0.004,0.857,0.200>,
                    <0.002,0.930,0.225>,
                    <0.000,0.930,0.227>,
                    <-0.002,0.930,0.225>,
                    <0.000,1.000,0.250>                
                }
                normal_vectors {
                    24,
                    <0.707,-0.139,0.693>,
                    <-0.707,-0.139,0.693>,
                    <0.707,-0.144,0.692>,
                    <-0.707,-0.144,0.692>,
                    <0.707,-0.149,0.691>,
                    <-0.707,-0.149,0.691>,
                    <0.707,-0.155,0.690>,
                    <-0.707,-0.155,0.690>,
                    <0.707,-0.161,0.689>,
                    <-0.707,-0.161,0.689>,
                    <0.707,-0.168,0.687>,
                    <-0.707,-0.168,0.687>,
                    <0.707,-0.175,0.685>,
                    <-0.707,-0.175,0.685>,
                    <0.707,-0.183,0.683>,
                    <-0.707,-0.183,0.683>,
                    <0.707,-0.192,0.681>,
                    <-0.707,-0.192,0.681>,
                    <0.707,-0.202,0.678>,
                    <-0.707,-0.202,0.678>,
                    <0.707,-0.212,0.675>,
                    <-0.707,-0.212,0.675>,
                    <0.707,-0.224,0.671>,
                    <-0.707,-0.224,0.671>
                }
                face_indices {
                    42,
                    <0, 4, 1>,
                    <0, 3, 4>,
                    <2, 1, 4>,
                    <2, 4, 5>,
                    <3, 7, 4>,
                    <3, 6, 7>,
                    <5, 4, 7>,
                    <5, 7, 8>,
                    <6, 10, 7>,
                    <6, 9, 10>,
                    <8, 7, 10>,
                    <8, 10, 11>,
                    <9, 13, 10>,
                    <9, 12, 13>,
                    <11, 10, 13>,
                    <11, 13, 14>,
                    <12, 16, 13>,
                    <12, 15, 16>,
                    <14, 13, 16>,
                    <14, 16, 17>,
                    <15, 19, 16>,
                    <15, 18, 19>,
                    <17, 16, 19>,
                    <17, 19, 20>,
                    <18, 22, 19>,
                    <18, 21, 22>,
                    <20, 19, 22>,
                    <20, 22, 23>,
                    <21, 25, 22>,
                    <21, 24, 25>,
                    <23, 22, 25>,
                    <23, 25, 26>,
                    <24, 28, 25>,
                    <24, 27, 28>,
                    <26, 25, 28>,
                    <26, 28, 29>,
                    <27, 31, 28>,
                    <27, 30, 31>,
                    <29, 28, 31>,
                    <29, 31, 32>,
                    <30, 33, 31>,
                    <32, 31, 33>
                }
                normal_indices {
                    42,
                    <0, 2, 0>,
                    <0, 2, 2>,
                    <1, 1, 3>,
                    <1, 3, 3>,
                    <2, 4, 2>,
                    <2, 4, 4>,
                    <3, 3, 5>,
                    <3, 5, 5>,
                    <4, 6, 4>,
                    <4, 6, 6>,
                    <5, 5, 7>,
                    <5, 7, 7>,
                    <6, 8, 6>,
                    <6, 8, 8>,
                    <7, 7, 9>,
                    <7, 9, 9>,
                    <8, 10, 8>,
                    <8, 10, 10>,
                    <9, 9, 11>,
                    <9, 11, 11>,
                    <10, 12, 10>,
                    <10, 12, 12>,
                    <11, 11, 13>,
                    <11, 13, 13>,
                    <12, 14, 12>,
                    <12, 14, 14>,
                    <13, 13, 15>,
                    <13, 15, 15>,
                    <14, 16, 14>,
                    <14, 16, 16>,
                    <15, 15, 17>,
                    <15, 17, 17>,
                    <16, 18, 16>,
                    <16, 18, 18>,
                    <17, 17, 19>,
                    <17, 19, 19>,
                    <18, 20, 18>,
                    <18, 20, 20>,
                    <19, 19, 21>,
                    <19, 21, 21>,
                    <20, 22, 20>,
                    <21, 21, 22>
                }
                texture{
                    average
                    texture_map{
                        [0.000, Blade1DefaultTexture]
                        [1.000, Blade2DefaultTexture]
                    }
                }
                scale< 1.0, 0.700, 0.700>
            }
            mesh2 {
                vertex_vectors {
                    34,
                    <0.026,0.005,-0.025>,
                    <0.000,0.000,0.000>,
                    <-0.026,0.005,-0.025>,
                    <0.023,0.112,-0.002>,
                    <0.000,0.107,0.020>,
                    <-0.023,0.112,-0.002>,
                    <0.021,0.215,0.021>,
                    <0.000,0.211,0.041>,
                    <-0.021,0.215,0.021>,
                    <0.019,0.316,0.044>,
                    <0.000,0.312,0.062>,
                    <-0.019,0.316,0.044>,
                    <0.016,0.413,0.068>,
                    <0.000,0.409,0.084>,
                    <-0.016,0.413,0.068>,
                    <0.014,0.507,0.092>,
                    <0.000,0.503,0.106>,
                    <-0.014,0.507,0.092>,
                    <0.012,0.597,0.116>,
                    <0.000,0.594,0.128>,
                    <-0.012,0.597,0.116>,
                    <0.009,0.684,0.141>,
                    <0.000,0.682,0.150>,
                    <-0.009,0.684,0.141>,
                    <0.007,0.768,0.166>,
                    <0.000,0.766,0.173>,
                    <-0.007,0.768,0.166>,
                    <0.005,0.849,0.191>,
                    <0.000,0.848,0.196>,
                    <-0.005,0.849,0.191>,
                    <0.002,0.926,0.217>,
                    <0.000,0.925,0.219>,
                    <-0.002,0.926,0.217>,
                    <0.000,1.000,0.243>                
                }
                normal_vectors {
                    24,
                    <0.707,-0.130,0.695>,
                    <-0.707,-0.130,0.695>,
                    <0.707,-0.136,0.694>,
                    <-0.707,-0.136,0.694>,
                    <0.707,-0.142,0.693>,
                    <-0.707,-0.142,0.693>,
                    <0.707,-0.148,0.691>,
                    <-0.707,-0.148,0.691>,
                    <0.707,-0.155,0.690>,
                    <-0.707,-0.155,0.690>,
                    <0.707,-0.163,0.688>,
                    <-0.707,-0.163,0.688>,
                    <0.707,-0.171,0.686>,
                    <-0.707,-0.171,0.686>,
                    <0.707,-0.179,0.684>,
                    <-0.707,-0.179,0.684>,
                    <0.707,-0.188,0.682>,
                    <-0.707,-0.188,0.682>,
                    <0.707,-0.198,0.679>,
                    <-0.707,-0.198,0.679>,
                    <0.707,-0.209,0.676>,
                    <-0.707,-0.209,0.676>,
                    <0.707,-0.220,0.672>,
                    <-0.707,-0.220,0.672>
                }
                face_indices {
                    42,
                    <0, 4, 1>,
                    <0, 3, 4>,
                    <2, 1, 4>,
                    <2, 4, 5>,
                    <3, 7, 4>,
                    <3, 6, 7>,
                    <5, 4, 7>,
                    <5, 7, 8>,
                    <6, 10, 7>,
                    <6, 9, 10>,
                    <8, 7, 10>,
                    <8, 10, 11>,
                    <9, 13, 10>,
                    <9, 12, 13>,
                    <11, 10, 13>,
                    <11, 13, 14>,
                    <12, 16, 13>,
                    <12, 15, 16>,
                    <14, 13, 16>,
                    <14, 16, 17>,
                    <15, 19, 16>,
                    <15, 18, 19>,
                    <17, 16, 19>,
                    <17, 19, 20>,
                    <18, 22, 19>,
                    <18, 21, 22>,
                    <20, 19, 22>,
                    <20, 22, 23>,
                    <21, 25, 22>,
                    <21, 24, 25>,
                    <23, 22, 25>,
                    <23, 25, 26>,
                    <24, 28, 25>,
                    <24, 27, 28>,
                    <26, 25, 28>,
                    <26, 28, 29>,
                    <27, 31, 28>,
                    <27, 30, 31>,
                    <29, 28, 31>,
                    <29, 31, 32>,
                    <30, 33, 31>,
                    <32, 31, 33>
                }
                normal_indices {
                    42,
                    <0, 2, 0>,
                    <0, 2, 2>,
                    <1, 1, 3>,
                    <1, 3, 3>,
                    <2, 4, 2>,
                    <2, 4, 4>,
                    <3, 3, 5>,
                    <3, 5, 5>,
                    <4, 6, 4>,
                    <4, 6, 6>,
                    <5, 5, 7>,
                    <5, 7, 7>,
                    <6, 8, 6>,
                    <6, 8, 8>,
                    <7, 7, 9>,
                    <7, 9, 9>,
                    <8, 10, 8>,
                    <8, 10, 10>,
                    <9, 9, 11>,
                    <9, 11, 11>,
                    <10, 12, 10>,
                    <10, 12, 12>,
                    <11, 11, 13>,
                    <11, 13, 13>,
                    <12, 14, 12>,
                    <12, 14, 14>,
                    <13, 13, 15>,
                    <13, 15, 15>,
                    <14, 16, 14>,
                    <14, 16, 16>,
                    <15, 15, 17>,
                    <15, 17, 17>,
                    <16, 18, 16>,
                    <16, 18, 18>,
                    <17, 17, 19>,
                    <17, 19, 19>,
                    <18, 20, 18>,
                    <18, 20, 20>,
                    <19, 19, 21>,
                    <19, 21, 21>,
                    <20, 22, 20>,
                    <21, 21, 22>
                }
                texture{
                    average
                    texture_map{
                        [0.111, Blade1DefaultTexture]
                        [0.889, Blade2DefaultTexture]
                    }
                }
                scale< 1.0, 0.722, 0.722>
            }
            mesh2 {
                vertex_vectors {
                    36,
                    <0.026,0.004,-0.026>,
                    <0.000,0.000,0.000>,
                    <-0.026,0.004,-0.026>,
                    <0.024,0.107,-0.005>,
                    <0.000,0.103,0.018>,
                    <-0.024,0.107,-0.005>,
                    <0.022,0.208,0.016>,
                    <0.000,0.204,0.037>,
                    <-0.022,0.208,0.016>,
                    <0.019,0.306,0.038>,
                    <0.000,0.302,0.057>,
                    <-0.019,0.306,0.038>,
                    <0.017,0.401,0.061>,
                    <0.000,0.398,0.077>,
                    <-0.017,0.401,0.061>,
                    <0.015,0.494,0.084>,
                    <0.000,0.491,0.098>,
                    <-0.015,0.494,0.084>,
                    <0.012,0.585,0.108>,
                    <0.000,0.582,0.119>,
                    <-0.012,0.585,0.108>,
                    <0.010,0.673,0.132>,
                    <0.000,0.670,0.141>,
                    <-0.010,0.673,0.132>,
                    <0.007,0.758,0.157>,
                    <0.000,0.756,0.164>,
                    <-0.007,0.758,0.157>,
                    <0.005,0.842,0.183>,
                    <0.000,0.840,0.187>,
                    <-0.005,0.842,0.183>,
                    <0.003,0.922,0.209>,
                    <0.000,0.921,0.211>,
                    <-0.003,0.922,0.209>,
                    <0.000,1.000,0.236>,
                    <0.000,1.000,0.236>,
                    <-0.000,1.000,0.236>                
                }
                normal_vectors {
                    24,
                    <0.707,-0.120,0.697>,
                    <-0.707,-0.120,0.697>,
                    <0.707,-0.127,0.696>,
                    <-0.707,-0.127,0.696>,
                    <0.707,-0.134,0.694>,
                    <-0.707,-0.134,0.694>,
                    <0.707,-0.142,0.693>,
                    <-0.707,-0.142,0.693>,
                    <0.707,-0.150,0.691>,
                    <-0.707,-0.150,0.691>,
                    <0.707,-0.158,0.689>,
                    <-0.707,-0.158,0.689>,
                    <0.707,-0.167,0.687>,
                    <-0.707,-0.167,0.687>,
                    <0.707,-0.176,0.685>,
                    <-0.707,-0.176,0.685>,
                    <0.707,-0.185,0.682>,
                    <-0.707,-0.185,0.682>,
                    <0.707,-0.195,0.680>,
                    <-0.707,-0.195,0.680>,
                    <0.707,-0.206,0.677>,
                    <-0.707,-0.206,0.677>,
                    <0.707,-0.216,0.673>,
                    <-0.707,-0.216,0.673>
                }
                face_indices {
                    44,
                    <0, 4, 1>,
                    <0, 3, 4>,
                    <2, 1, 4>,
                    <2, 4, 5>,
                    <3, 7, 4>,
                    <3, 6, 7>,
                    <5, 4, 7>,
                    <5, 7, 8>,
                    <6, 10, 7>,
                    <6, 9, 10>,
                    <8, 7, 10>,
                    <8, 10, 11>,
                    <9, 13, 10>,
                    <9, 12, 13>,
                    <11, 10, 13>,
                    <11, 13, 14>,
                    <12, 16, 13>,
                    <12, 15, 16>,
                    <14, 13, 16>,
                    <14, 16, 17>,
                    <15, 19, 16>,
                    <15, 18, 19>,
                    <17, 16, 19>,
                    <17, 19, 20>,
                    <18, 22, 19>,
                    <18, 21, 22>,
                    <20, 19, 22>,
                    <20, 22, 23>,
                    <21, 25, 22>,
                    <21, 24, 25>,
                    <23, 22, 25>,
                    <23, 25, 26>,
                    <24, 28, 25>,
                    <24, 27, 28>,
                    <26, 25, 28>,
                    <26, 28, 29>,
                    <27, 31, 28>,
                    <27, 30, 31>,
                    <29, 28, 31>,
                    <29, 31, 32>,
                    <30, 34, 31>,
                    <30, 33, 34>,
                    <32, 31, 34>,
                    <32, 34, 35>
                }
                normal_indices {
                    44,
                    <0, 2, 0>,
                    <0, 2, 2>,
                    <1, 1, 3>,
                    <1, 3, 3>,
                    <2, 4, 2>,
                    <2, 4, 4>,
                    <3, 3, 5>,
                    <3, 5, 5>,
                    <4, 6, 4>,
                    <4, 6, 6>,
                    <5, 5, 7>,
                    <5, 7, 7>,
                    <6, 8, 6>,
                    <6, 8, 8>,
                    <7, 7, 9>,
                    <7, 9, 9>,
                    <8, 10, 8>,
                    <8, 10, 10>,
                    <9, 9, 11>,
                    <9, 11, 11>,
                    <10, 12, 10>,
                    <10, 12, 12>,
                    <11, 11, 13>,
                    <11, 13, 13>,
                    <12, 14, 12>,
                    <12, 14, 14>,
                    <13, 13, 15>,
                    <13, 15, 15>,
                    <14, 16, 14>,
                    <14, 16, 16>,
                    <15, 15, 17>,
                    <15, 17, 17>,
                    <16, 18, 16>,
                    <16, 18, 18>,
                    <17, 17, 19>,
                    <17, 19, 19>,
                    <18, 20, 18>,
                    <18, 20, 20>,
                    <19, 19, 21>,
                    <19, 21, 21>,
                    <20, 22, 20>,
                    <20, 22, 22>,
                    <21, 21, 23>,
                    <21, 23, 23>
                }
                texture{
                    average
                    texture_map{
                        [0.222, Blade1DefaultTexture]
                        [0.778, Blade2DefaultTexture]
                    }
                }
                scale< 1.0, 0.744, 0.744>
            }
            mesh2 {
                vertex_vectors {
                    36,
                    <0.027,0.004,-0.027>,
                    <0.000,0.000,0.000>,
                    <-0.027,0.004,-0.027>,
                    <0.025,0.103,-0.008>,
                    <0.000,0.099,0.016>,
                    <-0.025,0.103,-0.008>,
                    <0.022,0.201,0.012>,
                    <0.000,0.197,0.034>,
                    <-0.022,0.201,0.012>,
                    <0.020,0.296,0.032>,
                    <0.000,0.293,0.052>,
                    <-0.020,0.296,0.032>,
                    <0.017,0.390,0.054>,
                    <0.000,0.387,0.071>,
                    <-0.017,0.390,0.054>,
                    <0.015,0.483,0.076>,
                    <0.000,0.479,0.091>,
                    <-0.015,0.483,0.076>,
                    <0.013,0.573,0.099>,
                    <0.000,0.570,0.112>,
                    <-0.013,0.573,0.099>,
                    <0.010,0.662,0.123>,
                    <0.000,0.660,0.133>,
                    <-0.010,0.662,0.123>,
                    <0.008,0.749,0.149>,
                    <0.000,0.747,0.156>,
                    <-0.008,0.749,0.149>,
                    <0.005,0.835,0.174>,
                    <0.000,0.833,0.180>,
                    <-0.005,0.835,0.174>,
                    <0.003,0.918,0.201>,
                    <0.000,0.917,0.204>,
                    <-0.003,0.918,0.201>,
                    <0.001,1.000,0.229>,
                    <0.000,1.000,0.230>,
                    <-0.001,1.000,0.229>                
                }
                normal_vectors {
                    24,
                    <0.707,-0.111,0.698>,
                    <-0.707,-0.111,0.698>,
                    <0.707,-0.119,0.697>,
                    <-0.707,-0.119,0.697>,
                    <0.707,-0.127,0.696>,
                    <-0.707,-0.127,0.696>,
                    <0.707,-0.136,0.694>,
                    <-0.707,-0.136,0.694>,
                    <0.707,-0.145,0.692>,
                    <-0.707,-0.145,0.692>,
                    <0.707,-0.154,0.690>,
                    <-0.707,-0.154,0.690>,
                    <0.707,-0.163,0.688>,
                    <-0.707,-0.163,0.688>,
                    <0.707,-0.173,0.686>,
                    <-0.707,-0.173,0.686>,
                    <0.707,-0.182,0.683>,
                    <-0.707,-0.182,0.683>,
                    <0.707,-0.193,0.680>,
                    <-0.707,-0.193,0.680>,
                    <0.707,-0.203,0.677>,
                    <-0.707,-0.203,0.677>,
                    <0.707,-0.214,0.674>,
                    <-0.707,-0.214,0.674>
                }
                face_indices {
                    44,
                    <0, 4, 1>,
                    <0, 3, 4>,
                    <2, 1, 4>,
                    <2, 4, 5>,
                    <3, 7, 4>,
                    <3, 6, 7>,
                    <5, 4, 7>,
                    <5, 7, 8>,
                    <6, 10, 7>,
                    <6, 9, 10>,
                    <8, 7, 10>,
                    <8, 10, 11>,
                    <9, 13, 10>,
                    <9, 12, 13>,
                    <11, 10, 13>,
                    <11, 13, 14>,
                    <12, 16, 13>,
                    <12, 15, 16>,
                    <14, 13, 16>,
                    <14, 16, 17>,
                    <15, 19, 16>,
                    <15, 18, 19>,
                    <17, 16, 19>,
                    <17, 19, 20>,
                    <18, 22, 19>,
                    <18, 21, 22>,
                    <20, 19, 22>,
                    <20, 22, 23>,
                    <21, 25, 22>,
                    <21, 24, 25>,
                    <23, 22, 25>,
                    <23, 25, 26>,
                    <24, 28, 25>,
                    <24, 27, 28>,
                    <26, 25, 28>,
                    <26, 28, 29>,
                    <27, 31, 28>,
                    <27, 30, 31>,
                    <29, 28, 31>,
                    <29, 31, 32>,
                    <30, 34, 31>,
                    <30, 33, 34>,
                    <32, 31, 34>,
                    <32, 34, 35>
                }
                normal_indices {
                    44,
                    <0, 2, 0>,
                    <0, 2, 2>,
                    <1, 1, 3>,
                    <1, 3, 3>,
                    <2, 4, 2>,
                    <2, 4, 4>,
                    <3, 3, 5>,
                    <3, 5, 5>,
                    <4, 6, 4>,
                    <4, 6, 6>,
                    <5, 5, 7>,
                    <5, 7, 7>,
                    <6, 8, 6>,
                    <6, 8, 8>,
                    <7, 7, 9>,
                    <7, 9, 9>,
                    <8, 10, 8>,
                    <8, 10, 10>,
                    <9, 9, 11>,
                    <9, 11, 11>,
                    <10, 12, 10>,
                    <10, 12, 12>,
                    <11, 11, 13>,
                    <11, 13, 13>,
                    <12, 14, 12>,
                    <12, 14, 14>,
                    <13, 13, 15>,
                    <13, 15, 15>,
                    <14, 16, 14>,
                    <14, 16, 16>,
                    <15, 15, 17>,
                    <15, 17, 17>,
                    <16, 18, 16>,
                    <16, 18, 18>,
                    <17, 17, 19>,
                    <17, 19, 19>,
                    <18, 20, 18>,
                    <18, 20, 20>,
                    <19, 19, 21>,
                    <19, 21, 21>,
                    <20, 22, 20>,
                    <20, 22, 22>,
                    <21, 21, 23>,
                    <21, 23, 23>
                }
                texture{
                    average
                    texture_map{
                        [0.333, Blade1DefaultTexture]
                        [0.667, Blade2DefaultTexture]
                    }
                }
                scale< 1.0, 0.767, 0.767>
            }
            mesh2 {
                vertex_vectors {
                    36,
                    <0.028,0.004,-0.028>,
                    <0.000,0.000,0.000>,
                    <-0.028,0.004,-0.028>,
                    <0.025,0.100,-0.011>,
                    <0.000,0.096,0.014>,
                    <-0.025,0.100,-0.011>,
                    <0.023,0.194,0.007>,
                    <0.000,0.190,0.030>,
                    <-0.023,0.194,0.007>,
                    <0.020,0.288,0.027>,
                    <0.000,0.284,0.047>,
                    <-0.020,0.288,0.027>,
                    <0.018,0.380,0.047>,
                    <0.000,0.377,0.065>,
                    <-0.018,0.380,0.047>,
                    <0.016,0.472,0.069>,
                    <0.000,0.468,0.084>,
                    <-0.016,0.472,0.069>,
                    <0.013,0.562,0.091>,
                    <0.000,0.559,0.104>,
                    <-0.013,0.562,0.091>,
                    <0.011,0.652,0.115>,
                    <0.000,0.649,0.126>,
                    <-0.011,0.652,0.115>,
                    <0.008,0.741,0.141>,
                    <0.000,0.738,0.148>,
                    <-0.008,0.741,0.141>,
                    <0.006,0.828,0.167>,
                    <0.000,0.827,0.172>,
                    <-0.006,0.828,0.167>,
                    <0.003,0.915,0.194>,
                    <0.000,0.914,0.197>,
                    <-0.003,0.915,0.194>,
                    <0.001,1.000,0.223>,
                    <0.000,1.000,0.224>,
                    <-0.001,1.000,0.223>                
                }
                normal_vectors {
                    24,
                    <0.707,-0.101,0.700>,
                    <-0.707,-0.101,0.700>,
                    <0.707,-0.110,0.698>,
                    <-0.707,-0.110,0.698>,
                    <0.707,-0.120,0.697>,
                    <-0.707,-0.120,0.697>,
                    <0.707,-0.130,0.695>,
                    <-0.707,-0.130,0.695>,
                    <0.707,-0.139,0.693>,
                    <-0.707,-0.139,0.693>,
                    <0.707,-0.149,0.691>,
                    <-0.707,-0.149,0.691>,
                    <0.707,-0.159,0.689>,
                    <-0.707,-0.159,0.689>,
                    <0.707,-0.170,0.686>,
                    <-0.707,-0.170,0.686>,
                    <0.707,-0.180,0.684>,
                    <-0.707,-0.180,0.684>,
                    <0.707,-0.190,0.681>,
                    <-0.707,-0.190,0.681>,
                    <0.707,-0.201,0.678>,
                    <-0.707,-0.201,0.678>,
                    <0.707,-0.211,0.675>,
                    <-0.707,-0.211,0.675>
                }
                face_indices {
                    44,
                    <0, 4, 1>,
                    <0, 3, 4>,
                    <2, 1, 4>,
                    <2, 4, 5>,
                    <3, 7, 4>,
                    <3, 6, 7>,
                    <5, 4, 7>,
                    <5, 7, 8>,
                    <6, 10, 7>,
                    <6, 9, 10>,
                    <8, 7, 10>,
                    <8, 10, 11>,
                    <9, 13, 10>,
                    <9, 12, 13>,
                    <11, 10, 13>,
                    <11, 13, 14>,
                    <12, 16, 13>,
                    <12, 15, 16>,
                    <14, 13, 16>,
                    <14, 16, 17>,
                    <15, 19, 16>,
                    <15, 18, 19>,
                    <17, 16, 19>,
                    <17, 19, 20>,
                    <18, 22, 19>,
                    <18, 21, 22>,
                    <20, 19, 22>,
                    <20, 22, 23>,
                    <21, 25, 22>,
                    <21, 24, 25>,
                    <23, 22, 25>,
                    <23, 25, 26>,
                    <24, 28, 25>,
                    <24, 27, 28>,
                    <26, 25, 28>,
                    <26, 28, 29>,
                    <27, 31, 28>,
                    <27, 30, 31>,
                    <29, 28, 31>,
                    <29, 31, 32>,
                    <30, 34, 31>,
                    <30, 33, 34>,
                    <32, 31, 34>,
                    <32, 34, 35>
                }
                normal_indices {
                    44,
                    <0, 2, 0>,
                    <0, 2, 2>,
                    <1, 1, 3>,
                    <1, 3, 3>,
                    <2, 4, 2>,
                    <2, 4, 4>,
                    <3, 3, 5>,
                    <3, 5, 5>,
                    <4, 6, 4>,
                    <4, 6, 6>,
                    <5, 5, 7>,
                    <5, 7, 7>,
                    <6, 8, 6>,
                    <6, 8, 8>,
                    <7, 7, 9>,
                    <7, 9, 9>,
                    <8, 10, 8>,
                    <8, 10, 10>,
                    <9, 9, 11>,
                    <9, 11, 11>,
                    <10, 12, 10>,
                    <10, 12, 12>,
                    <11, 11, 13>,
                    <11, 13, 13>,
                    <12, 14, 12>,
                    <12, 14, 14>,
                    <13, 13, 15>,
                    <13, 15, 15>,
                    <14, 16, 14>,
                    <14, 16, 16>,
                    <15, 15, 17>,
                    <15, 17, 17>,
                    <16, 18, 16>,
                    <16, 18, 18>,
                    <17, 17, 19>,
                    <17, 19, 19>,
                    <18, 20, 18>,
                    <18, 20, 20>,
                    <19, 19, 21>,
                    <19, 21, 21>,
                    <20, 22, 20>,
                    <20, 22, 22>,
                    <21, 21, 23>,
                    <21, 23, 23>
                }
                texture{
                    average
                    texture_map{
                        [0.444, Blade1DefaultTexture]
                        [0.556, Blade2DefaultTexture]
                    }
                }
                scale< 1.0, 0.789, 0.789>
            }
            mesh2 {
                vertex_vectors {
                    36,
                    <0.029,0.004,-0.028>,
                    <0.000,0.000,0.000>,
                    <-0.029,0.004,-0.028>,
                    <0.026,0.096,-0.013>,
                    <0.000,0.092,0.013>,
                    <-0.026,0.096,-0.013>,
                    <0.024,0.188,0.003>,
                    <0.000,0.184,0.027>,
                    <-0.024,0.188,0.003>,
                    <0.021,0.279,0.021>,
                    <0.000,0.276,0.042>,
                    <-0.021,0.279,0.021>,
                    <0.019,0.371,0.041>,
                    <0.000,0.367,0.059>,
                    <-0.019,0.371,0.041>,
                    <0.016,0.461,0.062>,
                    <0.000,0.458,0.077>,
                    <-0.016,0.461,0.062>,
                    <0.014,0.552,0.084>,
                    <0.000,0.549,0.097>,
                    <-0.014,0.552,0.084>,
                    <0.011,0.642,0.108>,
                    <0.000,0.640,0.119>,
                    <-0.011,0.642,0.108>,
                    <0.009,0.732,0.133>,
                    <0.000,0.730,0.141>,
                    <-0.009,0.732,0.133>,
                    <0.006,0.822,0.160>,
                    <0.000,0.820,0.165>,
                    <-0.006,0.822,0.160>,
                    <0.003,0.911,0.188>,
                    <0.000,0.910,0.191>,
                    <-0.003,0.911,0.188>,
                    <0.001,1.000,0.217>,
                    <0.000,1.000,0.218>,
                    <-0.001,1.000,0.217>                
                }
                normal_vectors {
                    24,
                    <0.707,-0.090,0.701>,
                    <-0.707,-0.090,0.701>,
                    <0.707,-0.101,0.700>,
                    <-0.707,-0.101,0.700>,
                    <0.707,-0.112,0.698>,
                    <-0.707,-0.112,0.698>,
                    <0.707,-0.123,0.696>,
                    <-0.707,-0.123,0.696>,
                    <0.707,-0.134,0.694>,
                    <-0.707,-0.134,0.694>,
                    <0.707,-0.145,0.692>,
                    <-0.707,-0.145,0.692>,
                    <0.707,-0.156,0.690>,
                    <-0.707,-0.156,0.690>,
                    <0.707,-0.167,0.687>,
                    <-0.707,-0.167,0.687>,
                    <0.707,-0.178,0.684>,
                    <-0.707,-0.178,0.684>,
                    <0.707,-0.188,0.682>,
                    <-0.707,-0.188,0.682>,
                    <0.707,-0.199,0.679>,
                    <-0.707,-0.199,0.679>,
                    <0.707,-0.209,0.675>,
                    <-0.707,-0.209,0.675>
                }
                face_indices {
                    44,
                    <0, 4, 1>,
                    <0, 3, 4>,
                    <2, 1, 4>,
                    <2, 4, 5>,
                    <3, 7, 4>,
                    <3, 6, 7>,
                    <5, 4, 7>,
                    <5, 7, 8>,
                    <6, 10, 7>,
                    <6, 9, 10>,
                    <8, 7, 10>,
                    <8, 10, 11>,
                    <9, 13, 10>,
                    <9, 12, 13>,
                    <11, 10, 13>,
                    <11, 13, 14>,
                    <12, 16, 13>,
                    <12, 15, 16>,
                    <14, 13, 16>,
                    <14, 16, 17>,
                    <15, 19, 16>,
                    <15, 18, 19>,
                    <17, 16, 19>,
                    <17, 19, 20>,
                    <18, 22, 19>,
                    <18, 21, 22>,
                    <20, 19, 22>,
                    <20, 22, 23>,
                    <21, 25, 22>,
                    <21, 24, 25>,
                    <23, 22, 25>,
                    <23, 25, 26>,
                    <24, 28, 25>,
                    <24, 27, 28>,
                    <26, 25, 28>,
                    <26, 28, 29>,
                    <27, 31, 28>,
                    <27, 30, 31>,
                    <29, 28, 31>,
                    <29, 31, 32>,
                    <30, 34, 31>,
                    <30, 33, 34>,
                    <32, 31, 34>,
                    <32, 34, 35>
                }
                normal_indices {
                    44,
                    <0, 2, 0>,
                    <0, 2, 2>,
                    <1, 1, 3>,
                    <1, 3, 3>,
                    <2, 4, 2>,
                    <2, 4, 4>,
                    <3, 3, 5>,
                    <3, 5, 5>,
                    <4, 6, 4>,
                    <4, 6, 6>,
                    <5, 5, 7>,
                    <5, 7, 7>,
                    <6, 8, 6>,
                    <6, 8, 8>,
                    <7, 7, 9>,
                    <7, 9, 9>,
                    <8, 10, 8>,
                    <8, 10, 10>,
                    <9, 9, 11>,
                    <9, 11, 11>,
                    <10, 12, 10>,
                    <10, 12, 12>,
                    <11, 11, 13>,
                    <11, 13, 13>,
                    <12, 14, 12>,
                    <12, 14, 14>,
                    <13, 13, 15>,
                    <13, 15, 15>,
                    <14, 16, 14>,
                    <14, 16, 16>,
                    <15, 15, 17>,
                    <15, 17, 17>,
                    <16, 18, 16>,
                    <16, 18, 18>,
                    <17, 17, 19>,
                    <17, 19, 19>,
                    <18, 20, 18>,
                    <18, 20, 20>,
                    <19, 19, 21>,
                    <19, 21, 21>,
                    <20, 22, 20>,
                    <20, 22, 22>,
                    <21, 21, 23>,
                    <21, 23, 23>
                }
                texture{
                    average
                    texture_map{
                        [0.556, Blade1DefaultTexture]
                        [0.444, Blade2DefaultTexture]
                    }
                }
                scale< 1.0, 0.811, 0.811>
            }
            mesh2 {
                vertex_vectors {
                    36,
                    <0.029,0.003,-0.029>,
                    <0.000,0.000,0.000>,
                    <-0.029,0.003,-0.029>,
                    <0.027,0.092,-0.016>,
                    <0.000,0.089,0.011>,
                    <-0.027,0.092,-0.016>,
                    <0.024,0.182,-0.001>,
                    <0.000,0.178,0.024>,
                    <-0.024,0.182,-0.001>,
                    <0.022,0.271,0.016>,
                    <0.000,0.268,0.038>,
                    <-0.022,0.271,0.016>,
                    <0.019,0.361,0.035>,
                    <0.000,0.358,0.054>,
                    <-0.019,0.361,0.035>,
                    <0.017,0.452,0.055>,
                    <0.000,0.448,0.071>,
                    <-0.017,0.452,0.055>,
                    <0.014,0.542,0.077>,
                    <0.000,0.539,0.091>,
                    <-0.014,0.542,0.077>,
                    <0.011,0.633,0.101>,
                    <0.000,0.631,0.112>,
                    <-0.011,0.633,0.101>,
                    <0.009,0.725,0.126>,
                    <0.000,0.722,0.134>,
                    <-0.009,0.725,0.126>,
                    <0.006,0.816,0.153>,
                    <0.000,0.814,0.159>,
                    <-0.006,0.816,0.153>,
                    <0.004,0.908,0.181>,
                    <0.000,0.907,0.185>,
                    <-0.004,0.908,0.181>,
                    <0.001,1.000,0.212>,
                    <0.000,1.000,0.213>,
                    <-0.001,1.000,0.212>                
                }
                normal_vectors {
                    24,
                    <0.707,-0.080,0.703>,
                    <-0.707,-0.080,0.703>,
                    <0.707,-0.093,0.701>,
                    <-0.707,-0.093,0.701>,
                    <0.707,-0.105,0.699>,
                    <-0.707,-0.105,0.699>,
                    <0.707,-0.117,0.697>,
                    <-0.707,-0.117,0.697>,
                    <0.707,-0.129,0.695>,
                    <-0.707,-0.129,0.695>,
                    <0.707,-0.141,0.693>,
                    <-0.707,-0.141,0.693>,
                    <0.707,-0.153,0.690>,
                    <-0.707,-0.153,0.690>,
                    <0.707,-0.164,0.688>,
                    <-0.707,-0.164,0.688>,
                    <0.707,-0.175,0.685>,
                    <-0.707,-0.175,0.685>,
                    <0.707,-0.186,0.682>,
                    <-0.707,-0.186,0.682>,
                    <0.707,-0.197,0.679>,
                    <-0.707,-0.197,0.679>,
                    <0.707,-0.207,0.676>,
                    <-0.707,-0.207,0.676>
                }
                face_indices {
                    44,
                    <0, 4, 1>,
                    <0, 3, 4>,
                    <2, 1, 4>,
                    <2, 4, 5>,
                    <3, 7, 4>,
                    <3, 6, 7>,
                    <5, 4, 7>,
                    <5, 7, 8>,
                    <6, 10, 7>,
                    <6, 9, 10>,
                    <8, 7, 10>,
                    <8, 10, 11>,
                    <9, 13, 10>,
                    <9, 12, 13>,
                    <11, 10, 13>,
                    <11, 13, 14>,
                    <12, 16, 13>,
                    <12, 15, 16>,
                    <14, 13, 16>,
                    <14, 16, 17>,
                    <15, 19, 16>,
                    <15, 18, 19>,
                    <17, 16, 19>,
                    <17, 19, 20>,
                    <18, 22, 19>,
                    <18, 21, 22>,
                    <20, 19, 22>,
                    <20, 22, 23>,
                    <21, 25, 22>,
                    <21, 24, 25>,
                    <23, 22, 25>,
                    <23, 25, 26>,
                    <24, 28, 25>,
                    <24, 27, 28>,
                    <26, 25, 28>,
                    <26, 28, 29>,
                    <27, 31, 28>,
                    <27, 30, 31>,
                    <29, 28, 31>,
                    <29, 31, 32>,
                    <30, 34, 31>,
                    <30, 33, 34>,
                    <32, 31, 34>,
                    <32, 34, 35>
                }
                normal_indices {
                    44,
                    <0, 2, 0>,
                    <0, 2, 2>,
                    <1, 1, 3>,
                    <1, 3, 3>,
                    <2, 4, 2>,
                    <2, 4, 4>,
                    <3, 3, 5>,
                    <3, 5, 5>,
                    <4, 6, 4>,
                    <4, 6, 6>,
                    <5, 5, 7>,
                    <5, 7, 7>,
                    <6, 8, 6>,
                    <6, 8, 8>,
                    <7, 7, 9>,
                    <7, 9, 9>,
                    <8, 10, 8>,
                    <8, 10, 10>,
                    <9, 9, 11>,
                    <9, 11, 11>,
                    <10, 12, 10>,
                    <10, 12, 12>,
                    <11, 11, 13>,
                    <11, 13, 13>,
                    <12, 14, 12>,
                    <12, 14, 14>,
                    <13, 13, 15>,
                    <13, 15, 15>,
                    <14, 16, 14>,
                    <14, 16, 16>,
                    <15, 15, 17>,
                    <15, 17, 17>,
                    <16, 18, 16>,
                    <16, 18, 18>,
                    <17, 17, 19>,
                    <17, 19, 19>,
                    <18, 20, 18>,
                    <18, 20, 20>,
                    <19, 19, 21>,
                    <19, 21, 21>,
                    <20, 22, 20>,
                    <20, 22, 22>,
                    <21, 21, 23>,
                    <21, 23, 23>
                }
                texture{
                    average
                    texture_map{
                        [0.667, Blade1DefaultTexture]
                        [0.333, Blade2DefaultTexture]
                    }
                }
                scale< 1.0, 0.833, 0.833>
            }
            mesh2 {
                vertex_vectors {
                    36,
                    <0.030,0.003,-0.030>,
                    <0.000,0.000,0.000>,
                    <-0.030,0.003,-0.030>,
                    <0.028,0.089,-0.018>,
                    <0.000,0.086,0.009>,
                    <-0.028,0.089,-0.018>,
                    <0.025,0.176,-0.004>,
                    <0.000,0.173,0.021>,
                    <-0.025,0.176,-0.004>,
                    <0.022,0.264,0.012>,
                    <0.000,0.260,0.034>,
                    <-0.022,0.264,0.012>,
                    <0.020,0.353,0.029>,
                    <0.000,0.349,0.049>,
                    <-0.020,0.353,0.029>,
                    <0.017,0.442,0.049>,
                    <0.000,0.439,0.066>,
                    <-0.017,0.442,0.049>,
                    <0.014,0.533,0.070>,
                    <0.000,0.530,0.085>,
                    <-0.014,0.533,0.070>,
                    <0.012,0.625,0.094>,
                    <0.000,0.622,0.105>,
                    <-0.012,0.625,0.094>,
                    <0.009,0.717,0.119>,
                    <0.000,0.715,0.128>,
                    <-0.009,0.717,0.119>,
                    <0.007,0.811,0.146>,
                    <0.000,0.809,0.153>,
                    <-0.007,0.811,0.146>,
                    <0.004,0.905,0.175>,
                    <0.000,0.904,0.179>,
                    <-0.004,0.905,0.175>,
                    <0.001,1.000,0.206>,
                    <0.000,1.000,0.208>,
                    <-0.001,1.000,0.206>                
                }
                normal_vectors {
                    24,
                    <0.707,-0.069,0.704>,
                    <-0.707,-0.069,0.704>,
                    <0.707,-0.083,0.702>,
                    <-0.707,-0.083,0.702>,
                    <0.707,-0.098,0.700>,
                    <-0.707,-0.098,0.700>,
                    <0.707,-0.111,0.698>,
                    <-0.707,-0.111,0.698>,
                    <0.707,-0.125,0.696>,
                    <-0.707,-0.125,0.696>,
                    <0.707,-0.137,0.694>,
                    <-0.707,-0.137,0.694>,
                    <0.707,-0.150,0.691>,
                    <-0.707,-0.150,0.691>,
                    <0.707,-0.162,0.688>,
                    <-0.707,-0.162,0.688>,
                    <0.707,-0.173,0.686>,
                    <-0.707,-0.173,0.686>,
                    <0.707,-0.185,0.683>,
                    <-0.707,-0.185,0.683>,
                    <0.707,-0.195,0.680>,
                    <-0.707,-0.195,0.680>,
                    <0.707,-0.206,0.676>,
                    <-0.707,-0.206,0.676>
                }
                face_indices {
                    44,
                    <0, 4, 1>,
                    <0, 3, 4>,
                    <2, 1, 4>,
                    <2, 4, 5>,
                    <3, 7, 4>,
                    <3, 6, 7>,
                    <5, 4, 7>,
                    <5, 7, 8>,
                    <6, 10, 7>,
                    <6, 9, 10>,
                    <8, 7, 10>,
                    <8, 10, 11>,
                    <9, 13, 10>,
                    <9, 12, 13>,
                    <11, 10, 13>,
                    <11, 13, 14>,
                    <12, 16, 13>,
                    <12, 15, 16>,
                    <14, 13, 16>,
                    <14, 16, 17>,
                    <15, 19, 16>,
                    <15, 18, 19>,
                    <17, 16, 19>,
                    <17, 19, 20>,
                    <18, 22, 19>,
                    <18, 21, 22>,
                    <20, 19, 22>,
                    <20, 22, 23>,
                    <21, 25, 22>,
                    <21, 24, 25>,
                    <23, 22, 25>,
                    <23, 25, 26>,
                    <24, 28, 25>,
                    <24, 27, 28>,
                    <26, 25, 28>,
                    <26, 28, 29>,
                    <27, 31, 28>,
                    <27, 30, 31>,
                    <29, 28, 31>,
                    <29, 31, 32>,
                    <30, 34, 31>,
                    <30, 33, 34>,
                    <32, 31, 34>,
                    <32, 34, 35>
                }
                normal_indices {
                    44,
                    <0, 2, 0>,
                    <0, 2, 2>,
                    <1, 1, 3>,
                    <1, 3, 3>,
                    <2, 4, 2>,
                    <2, 4, 4>,
                    <3, 3, 5>,
                    <3, 5, 5>,
                    <4, 6, 4>,
                    <4, 6, 6>,
                    <5, 5, 7>,
                    <5, 7, 7>,
                    <6, 8, 6>,
                    <6, 8, 8>,
                    <7, 7, 9>,
                    <7, 9, 9>,
                    <8, 10, 8>,
                    <8, 10, 10>,
                    <9, 9, 11>,
                    <9, 11, 11>,
                    <10, 12, 10>,
                    <10, 12, 12>,
                    <11, 11, 13>,
                    <11, 13, 13>,
                    <12, 14, 12>,
                    <12, 14, 14>,
                    <13, 13, 15>,
                    <13, 15, 15>,
                    <14, 16, 14>,
                    <14, 16, 16>,
                    <15, 15, 17>,
                    <15, 17, 17>,
                    <16, 18, 16>,
                    <16, 18, 18>,
                    <17, 17, 19>,
                    <17, 19, 19>,
                    <18, 20, 18>,
                    <18, 20, 20>,
                    <19, 19, 21>,
                    <19, 21, 21>,
                    <20, 22, 20>,
                    <20, 22, 22>,
                    <21, 21, 23>,
                    <21, 23, 23>
                }
                texture{
                    average
                    texture_map{
                        [0.778, Blade1DefaultTexture]
                        [0.222, Blade2DefaultTexture]
                    }
                }
                scale< 1.0, 0.856, 0.856>
            }
            mesh2 {
                vertex_vectors {
                    36,
                    <0.031,0.003,-0.031>,
                    <0.000,0.000,0.000>,
                    <-0.031,0.003,-0.031>,
                    <0.028,0.086,-0.020>,
                    <0.000,0.083,0.008>,
                    <-0.028,0.086,-0.020>,
                    <0.026,0.170,-0.008>,
                    <0.000,0.167,0.018>,
                    <-0.026,0.170,-0.008>,
                    <0.023,0.257,0.007>,
                    <0.000,0.253,0.030>,
                    <-0.023,0.257,0.007>,
                    <0.020,0.344,0.024>,
                    <0.000,0.341,0.044>,
                    <-0.020,0.344,0.024>,
                    <0.018,0.434,0.043>,
                    <0.000,0.430,0.060>,
                    <-0.018,0.434,0.043>,
                    <0.015,0.524,0.064>,
                    <0.000,0.521,0.079>,
                    <-0.015,0.524,0.064>,
                    <0.012,0.616,0.087>,
                    <0.000,0.614,0.099>,
                    <-0.012,0.616,0.087>,
                    <0.010,0.710,0.113>,
                    <0.000,0.708,0.122>,
                    <-0.010,0.710,0.113>,
                    <0.007,0.805,0.140>,
                    <0.000,0.804,0.147>,
                    <-0.007,0.805,0.140>,
                    <0.004,0.902,0.170>,
                    <0.000,0.901,0.174>,
                    <-0.004,0.902,0.170>,
                    <0.002,1.000,0.201>,
                    <0.000,1.000,0.203>,
                    <-0.002,1.000,0.201>                
                }
                normal_vectors {
                    24,
                    <0.707,-0.058,0.705>,
                    <-0.707,-0.058,0.705>,
                    <0.707,-0.074,0.703>,
                    <-0.707,-0.074,0.703>,
                    <0.707,-0.090,0.701>,
                    <-0.707,-0.090,0.701>,
                    <0.707,-0.105,0.699>,
                    <-0.707,-0.105,0.699>,
                    <0.707,-0.120,0.697>,
                    <-0.707,-0.120,0.697>,
                    <0.707,-0.134,0.694>,
                    <-0.707,-0.134,0.694>,
                    <0.707,-0.147,0.692>,
                    <-0.707,-0.147,0.692>,
                    <0.707,-0.160,0.689>,
                    <-0.707,-0.160,0.689>,
                    <0.707,-0.172,0.686>,
                    <-0.707,-0.172,0.686>,
                    <0.707,-0.183,0.683>,
                    <-0.707,-0.183,0.683>,
                    <0.707,-0.194,0.680>,
                    <-0.707,-0.194,0.680>,
                    <0.707,-0.204,0.677>,
                    <-0.707,-0.204,0.677>
                }
                face_indices {
                    44,
                    <0, 4, 1>,
                    <0, 3, 4>,
                    <2, 1, 4>,
                    <2, 4, 5>,
                    <3, 7, 4>,
                    <3, 6, 7>,
                    <5, 4, 7>,
                    <5, 7, 8>,
                    <6, 10, 7>,
                    <6, 9, 10>,
                    <8, 7, 10>,
                    <8, 10, 11>,
                    <9, 13, 10>,
                    <9, 12, 13>,
                    <11, 10, 13>,
                    <11, 13, 14>,
                    <12, 16, 13>,
                    <12, 15, 16>,
                    <14, 13, 16>,
                    <14, 16, 17>,
                    <15, 19, 16>,
                    <15, 18, 19>,
                    <17, 16, 19>,
                    <17, 19, 20>,
                    <18, 22, 19>,
                    <18, 21, 22>,
                    <20, 19, 22>,
                    <20, 22, 23>,
                    <21, 25, 22>,
                    <21, 24, 25>,
                    <23, 22, 25>,
                    <23, 25, 26>,
                    <24, 28, 25>,
                    <24, 27, 28>,
                    <26, 25, 28>,
                    <26, 28, 29>,
                    <27, 31, 28>,
                    <27, 30, 31>,
                    <29, 28, 31>,
                    <29, 31, 32>,
                    <30, 34, 31>,
                    <30, 33, 34>,
                    <32, 31, 34>,
                    <32, 34, 35>
                }
                normal_indices {
                    44,
                    <0, 2, 0>,
                    <0, 2, 2>,
                    <1, 1, 3>,
                    <1, 3, 3>,
                    <2, 4, 2>,
                    <2, 4, 4>,
                    <3, 3, 5>,
                    <3, 5, 5>,
                    <4, 6, 4>,
                    <4, 6, 6>,
                    <5, 5, 7>,
                    <5, 7, 7>,
                    <6, 8, 6>,
                    <6, 8, 8>,
                    <7, 7, 9>,
                    <7, 9, 9>,
                    <8, 10, 8>,
                    <8, 10, 10>,
                    <9, 9, 11>,
                    <9, 11, 11>,
                    <10, 12, 10>,
                    <10, 12, 12>,
                    <11, 11, 13>,
                    <11, 13, 13>,
                    <12, 14, 12>,
                    <12, 14, 14>,
                    <13, 13, 15>,
                    <13, 15, 15>,
                    <14, 16, 14>,
                    <14, 16, 16>,
                    <15, 15, 17>,
                    <15, 17, 17>,
                    <16, 18, 16>,
                    <16, 18, 18>,
                    <17, 17, 19>,
                    <17, 19, 19>,
                    <18, 20, 18>,
                    <18, 20, 20>,
                    <19, 19, 21>,
                    <19, 21, 21>,
                    <20, 22, 20>,
                    <20, 22, 22>,
                    <21, 21, 23>,
                    <21, 23, 23>
                }
                texture{
                    average
                    texture_map{
                        [0.889, Blade1DefaultTexture]
                        [0.111, Blade2DefaultTexture]
                    }
                }
                scale< 1.0, 0.878, 0.878>
            }
            mesh2 {
                vertex_vectors {
                    36,
                    <0.032,0.002,-0.032>,
                    <0.000,0.000,0.000>,
                    <-0.032,0.002,-0.032>,
                    <0.029,0.083,-0.023>,
                    <0.000,0.080,0.006>,
                    <-0.029,0.083,-0.023>,
                    <0.026,0.165,-0.011>,
                    <0.000,0.162,0.015>,
                    <-0.026,0.165,-0.011>,
                    <0.024,0.250,0.003>,
                    <0.000,0.247,0.026>,
                    <-0.024,0.250,0.003>,
                    <0.021,0.336,0.019>,
                    <0.000,0.333,0.039>,
                    <-0.021,0.336,0.019>,
                    <0.018,0.425,0.037>,
                    <0.000,0.422,0.055>,
                    <-0.018,0.425,0.037>,
                    <0.015,0.516,0.058>,
                    <0.000,0.513,0.073>,
                    <-0.015,0.516,0.058>,
                    <0.013,0.609,0.081>,
                    <0.000,0.606,0.093>,
                    <-0.013,0.609,0.081>,
                    <0.010,0.703,0.106>,
                    <0.000,0.701,0.116>,
                    <-0.010,0.703,0.106>,
                    <0.007,0.800,0.134>,
                    <0.000,0.799,0.141>,
                    <-0.007,0.800,0.134>,
                    <0.004,0.899,0.164>,
                    <0.000,0.898,0.168>,
                    <-0.004,0.899,0.164>,
                    <0.002,1.001,0.196>,
                    <0.000,1.000,0.198>,
                    <-0.002,1.001,0.196>                
                }
                normal_vectors {
                    24,
                    <0.707,-0.046,0.706>,
                    <-0.707,-0.046,0.706>,
                    <0.707,-0.065,0.704>,
                    <-0.707,-0.065,0.704>,
                    <0.707,-0.083,0.702>,
                    <-0.707,-0.083,0.702>,
                    <0.707,-0.100,0.700>,
                    <-0.707,-0.100,0.700>,
                    <0.707,-0.115,0.698>,
                    <-0.707,-0.115,0.698>,
                    <0.707,-0.130,0.695>,
                    <-0.707,-0.130,0.695>,
                    <0.707,-0.144,0.692>,
                    <-0.707,-0.144,0.692>,
                    <0.707,-0.157,0.689>,
                    <-0.707,-0.157,0.689>,
                    <0.707,-0.170,0.686>,
                    <-0.707,-0.170,0.686>,
                    <0.707,-0.182,0.683>,
                    <-0.707,-0.182,0.683>,
                    <0.707,-0.193,0.680>,
                    <-0.707,-0.193,0.680>,
                    <0.707,-0.203,0.677>,
                    <-0.707,-0.203,0.677>
                }
                face_indices {
                    44,
                    <0, 4, 1>,
                    <0, 3, 4>,
                    <2, 1, 4>,
                    <2, 4, 5>,
                    <3, 7, 4>,
                    <3, 6, 7>,
                    <5, 4, 7>,
                    <5, 7, 8>,
                    <6, 10, 7>,
                    <6, 9, 10>,
                    <8, 7, 10>,
                    <8, 10, 11>,
                    <9, 13, 10>,
                    <9, 12, 13>,
                    <11, 10, 13>,
                    <11, 13, 14>,
                    <12, 16, 13>,
                    <12, 15, 16>,
                    <14, 13, 16>,
                    <14, 16, 17>,
                    <15, 19, 16>,
                    <15, 18, 19>,
                    <17, 16, 19>,
                    <17, 19, 20>,
                    <18, 22, 19>,
                    <18, 21, 22>,
                    <20, 19, 22>,
                    <20, 22, 23>,
                    <21, 25, 22>,
                    <21, 24, 25>,
                    <23, 22, 25>,
                    <23, 25, 26>,
                    <24, 28, 25>,
                    <24, 27, 28>,
                    <26, 25, 28>,
                    <26, 28, 29>,
                    <27, 31, 28>,
                    <27, 30, 31>,
                    <29, 28, 31>,
                    <29, 31, 32>,
                    <30, 34, 31>,
                    <30, 33, 34>,
                    <32, 31, 34>,
                    <32, 34, 35>
                }
                normal_indices {
                    44,
                    <0, 2, 0>,
                    <0, 2, 2>,
                    <1, 1, 3>,
                    <1, 3, 3>,
                    <2, 4, 2>,
                    <2, 4, 4>,
                    <3, 3, 5>,
                    <3, 5, 5>,
                    <4, 6, 4>,
                    <4, 6, 6>,
                    <5, 5, 7>,
                    <5, 7, 7>,
                    <6, 8, 6>,
                    <6, 8, 8>,
                    <7, 7, 9>,
                    <7, 9, 9>,
                    <8, 10, 8>,
                    <8, 10, 10>,
                    <9, 9, 11>,
                    <9, 11, 11>,
                    <10, 12, 10>,
                    <10, 12, 12>,
                    <11, 11, 13>,
                    <11, 13, 13>,
                    <12, 14, 12>,
                    <12, 14, 14>,
                    <13, 13, 15>,
                    <13, 15, 15>,
                    <14, 16, 14>,
                    <14, 16, 16>,
                    <15, 15, 17>,
                    <15, 17, 17>,
                    <16, 18, 16>,
                    <16, 18, 18>,
                    <17, 17, 19>,
                    <17, 19, 19>,
                    <18, 20, 18>,
                    <18, 20, 20>,
                    <19, 19, 21>,
                    <19, 21, 21>,
                    <20, 22, 20>,
                    <20, 22, 22>,
                    <21, 21, 23>,
                    <21, 23, 23>
                }
                texture{
                    average
                    texture_map{
                        [1.000, Blade1DefaultTexture]
                        [0.000, Blade2DefaultTexture]
                    }
                }
                scale< 1.0, 0.900, 0.900>
            }
        }
        #local Hseed = seed(346);
        #local Pseed = seed(130);
        #local Rseed = seed(10982);
        #local Wseed = seed(1090);
        #local Mseed = seed(2656);
        #local Hdev = 0.250;
        #local Pdev = 0.250;
        #local Rdev = 0.300;
        #local Wdev = 0.250;
        #local Theta = 1.000;
        #local Ox = -0.500;
        #local Oz = -0.500;
        #local Dx = 0.143;
        #local Dz = 0.143;
        #local Nx = 7;
        #local Nz = 7;
        #local I = 0;
        #while(I<Nx)
            #local J = 0;
            #while(J<Nz)
                #local Z = Oz + ( J + 0.5 ) * Dz + ( rand( Pseed ) - 0.5 ) * Dz * Pdev;
                #local Z = ( ( Z < Oz ) ? Z - 2 * Oz : ( Z > -Oz ) ? Z + 2 * Oz : Z );
                #local X = Ox + ( I + 0.5 ) * Dx + ( rand( Pseed ) - 0.5 ) * Dx * Pdev;
                #local X = ( ( X < Ox ) ? X - 2 * Ox : ( X > -Ox ) ? X + 2 * Ox : X );
                #local W = 1 + ( rand( Wseed ) - 0.5 ) * Wdev;
                object{
                    BladeMeshes[ int( rand( Mseed ) * 10 ) ]
                    scale<W, 1 + ( rand( Hseed ) - 0.5 ) * Hdev, W>
                    rotate <0.0, Theta + ( rand( Rseed ) - 0.5 ) * Rdev * 360, 0.0>
                    translate <X, 0.0, Z>
                }
                #local J = J + 1;
            #end
            #local I = I + 1;
        #end
    #end

    BSPGrassPluginGrassFactoryMacro()
    #undef BSPGrassPluginGrassFactoryMacro
    texture{ Cork0 }
    scale     <1.000000,0.500000,1.000000>
}

#declare GrassPatchOverlap =
union {
    object {  // Reference0
        GrassPatch0
        scale     <1.000000,1.500000,1.000000>
        translate <0.500000,0.000000,-0.500000>
    }  // end Reference0

    object{ GrassPatch0 }

}  // end GrassPatchOverlap

#declare GrassRowOffset =
union {
    union {  // GrassRow0
        #declare Count = 0;
        #while( Count < 50 )
            #declare Factor = cos(0.000000+Count*0.376991);
            object{ GrassPatchOverlap
                rotate <0.0,0.0,0.000000*Count>
                rotate<0.0,0.000000*Count,0.0>
                rotate <0.000000*Count,0.0,0.0>
                scale <pow(1.000000,Count),pow(1.000000,Count),pow(1.000000,Count)>
                rotate <0.000000*Count,0.000000*Count,0.000000*Count>
                rotate <0.000000*Count,11.000000*Factor,0.000000*Count>
                translate <0.980000*Count,0.100000*Factor,0.020000*Factor>
                rotate <0.000000*Count,0.000000*Count,0.000000*Count>
            }
            #declare Count = Count + 1;
        #end
        translate <-25.000000,0.000000,0.000000>
    }  // end GrassRow0

}  // end GrassRowOffset


// ****************************************************************************
// referenced scene items and forced visible scene items declaration end
// ****************************************************************************

light_source {  // Light_Source0
    < 0.000000, 0.000000, 0.000000 >, colour rgb <1.000,1.000,1.000>
    fade_power 0.000
    fade_distance 100.000
    media_attenuation off
    media_interaction on
    translate <-24.636320,55.859425,-195.075000>
}  // end Light_Source0

union {  // GrassArea
    object{ GrassRowOffset }

    //+_+_+_+_+_+_+_+_+_+_
    //
    //Change this #while (Count <
    //to < 100
    union {  // GrassColumn0
        #declare Count = 0;
        #while( Count < 10 )
            #declare Factor = cos(0.000000+Count*3.455752);
            object{ GrassRowOffset
                rotate <0.0,0.0,0.000000*Count>
                rotate<0.0,0.000000*Count,0.0>
                rotate <0.000000*Count,0.0,0.0>
                scale <pow(1.000000,Count),pow(1.000000,Count),pow(1.000000,Count)>
                rotate <0.000000*Count,0.000000*Count,0.000000*Count>
                rotate <0.000000*Count,0.050000*Factor,0.000000*Count>
                translate <0.300000*Factor,0.100000*Factor,-0.940000*Count>
                rotate <0.000000*Count,0.000000*Count,0.000000*Count>
            }
            #declare Count = Count + 1;
        #end
        translate <-0.282526,0.000000,-0.879000>
    }  // end GrassColumn0

    rotate    <0.000000,-179.542099,-0.000200>
    translate <-2.415653,0.000000,-10.960271>
}  // end GrassArea


camera{ Camera0 }
